#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ESteamDeckCompatibilityTestResult {
    Invalid = 0,
    NotApplicable = 1,
    Pass = 2,
    Fail = 3,
    FailMinor = 4,
}

impl ESteamDeckCompatibilityTestResult {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::NotApplicable as i32 => Some(Self::NotApplicable),
            x if x == Self::Pass as i32 => Some(Self::Pass),
            x if x == Self::Fail as i32 => Some(Self::Fail),
            x if x == Self::FailMinor as i32 => Some(Self::FailMinor),
            _ => None,
        }
    }
}
